com.icesoft.faces.component.ext

## Class HtmlPanelGrid

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIPanel
      - - javax.faces.component.html.HtmlPanelGrid
        - - com.icesoft.faces.component.ext.HtmlPanelGrid

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      public class HtmlPanelGrid
      extends javax.faces.component.html.HtmlPanelGrid

  This is an extension of javax.faces.component.html.HtmlPanelGrid, which provides some additional behavior to this component such as:
  - changes the component's rendered state based on the authentication
  - adds effects to the component

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.faces.component.html.HtmlPanelGrid

      `javax.faces.component.html.HtmlPanelGrid.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIPanel

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlPanelGrid()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.icesoft.faces.context.effects.Effect` | `getEffect()` Return the value of the `effect` property.
    `java.lang.String` | `getFooterClass()` Return the value of the `footerClass` property.
    `java.lang.String` | `getHeaderClass()` Return the value of the `headerClass` property.
    `java.lang.String` | `getRenderedOnUserRole()` Return the value of the `renderedOnUserRole` property.
    `java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
    `boolean` | `getVisible()` Return the value of the `visible` property.
    `boolean` | `isRendered()` Return the value of the `rendered` property.
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)` Perform any processing required to restore the state from the entries in the state Object.
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)` Gets the state of the instance as a `Serializable` Object.
    `void` | `setEffect(com.icesoft.faces.context.effects.Effect effect)` Set the value of the `effect` property.
    `void` | `setRenderedOnUserRole(java.lang.String renderedOnUserRole)` Set the value of the `renderedOnUserRole` property.
    `void` | `setValueBinding(java.lang.String s, javax.faces.el.ValueBinding vb)`
    `void` | `setVisible(boolean visible)` Set the value of the `visible` property.

    - ### Methods inherited from class javax.faces.component.html.HtmlPanelGrid

      `getBgcolor, getBodyrows, getBorder, getCaptionClass, getCaptionStyle, getCellpadding, getCellspacing, getColumnClasses, getColumns, getDefaultEventName, getDir, getEventNames, getFrame, getLang, getOnclick, getOndblclick, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getRowClasses, getRules, getStyle, getSummary, getTitle, getWidth, setBgcolor, setBodyrows, setBorder, setCaptionClass, setCaptionStyle, setCellpadding, setCellspacing, setColumnClasses, setColumns, setDir, setFooterClass, setFrame, setHeaderClass, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setRowClasses, setRules, setStyle, setStyleClass, setSummary, setTitle, setWidth`

    - ### Methods inherited from class javax.faces.component.UIPanel

      `getFamily`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### RENDERER_TYPE

          public static final java.lang.String RENDERER_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlPanelGrid

          public HtmlPanelGrid()

  - ### Method Detail

    - #### setValueBinding

          public void setValueBinding(java.lang.String s,
                                      javax.faces.el.ValueBinding vb)

      Overrides:
        `setValueBinding` in class `javax.faces.component.UIComponentBase`

    - #### setVisible

          public void setVisible(boolean visible)

      Set the value of the `visible` property.

    - #### getVisible

          public boolean getVisible()

      Return the value of the `visible` property.

    - #### setEffect

          public void setEffect(com.icesoft.faces.context.effects.Effect effect)

      Set the value of the `effect` property.

    - #### getEffect

          public com.icesoft.faces.context.effects.Effect getEffect()

      Return the value of the `effect` property.

    - #### setRenderedOnUserRole

          public void setRenderedOnUserRole(java.lang.String renderedOnUserRole)

      Set the value of the `renderedOnUserRole` property.

    - #### getRenderedOnUserRole

          public java.lang.String getRenderedOnUserRole()

      Return the value of the `renderedOnUserRole` property.

    - #### isRendered

          public boolean isRendered()

      Return the value of the `rendered` property.

      Overrides:
        `isRendered` in class `javax.faces.component.UIComponentBase`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Gets the state of the instance as a `Serializable` Object.

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UIComponentBase`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                                   java.lang.Object state)

      Perform any processing required to restore the state from the entries in the state Object.

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UIComponentBase`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Return the value of the `styleClass` property.

      Overrides:
        `getStyleClass` in class `javax.faces.component.html.HtmlPanelGrid`

    - #### getHeaderClass

          public java.lang.String getHeaderClass()

      Return the value of the `headerClass` property.

      Overrides:
        `getHeaderClass` in class `javax.faces.component.html.HtmlPanelGrid`

    - #### getFooterClass

          public java.lang.String getFooterClass()

      Return the value of the `footerClass` property.

      Overrides:
        `getFooterClass` in class `javax.faces.component.html.HtmlPanelGrid`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.